Bug 852228 - [ORIGIN] failure to install ruby rails framework in Origin build.
[ORIGIN] failure to install ruby rails framework in Origin build.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 19:15 EDT by Peter Ruan
Modified: 2015-05-14 18:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2012-08-27 19:15:53 EDT
Description of problem:
  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a ruby app (rhc app create -a ruby18railsoewj -t ruby-1.8 -l admin -p admin -d)
2. ssh into the app and do (gem uninstall railties actionpack actionmailer activemodel activeresource activerecord activesupport rails -axI ; gem install -v 3.0.16 rails )
  
Actual results:
[ruby18railsoewj-mongotest.example.com ~]\> gem uninstall railties actionpack actionmailer activemodel activeresource activerecord activesupport rails -axI ; gem install -v 3.0.16 rails
ERROR:  While executing gem ... (Gem::FilePermissionError)
    You don't have write permissions into the /usr/lib/ruby/gems/1.8 directory.
Fetching: activesupport-3.0.16.gem (100%)
ERROR:  While executing gem ... (Errno::ENOENT)
    No such file or directory - /var/lib/stickshift/a24ef95b9683494c8da48b7dfe4e66a9/.gem/ruby/1.8/cache/activesupport-3.0.16.gem


Expected results:

success
Additional info:
Comment 1 Mrunal Patel 2012-09-10 15:12:53 EDT
A user should not be able to uninstall gems that he/she did not install locally.
This does not seem like a valid test case.
Comment 2 Peter Ruan 2012-09-18 13:54:57 EDT
The testcase is incorrect.  Closing this bug and update the TCMS entry.

Note You need to log in before you can comment on or make changes to this bug.